Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 643626

Summary: dev-python/matplotlib-2.1.0-r1 - required package gtk3agg can not be built
Product: Gentoo Linux Reporter: Thomas Deutschmann <whissi>
Component: Current packagesAssignee: Gentoo Science Related Packages <sci>
Status: CONFIRMED ---    
Severity: normal CC: eulenreich, frp.bissey, gentoo, Hloupy.Honza, python
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log

Description Thomas Deutschmann gentoo-dev Security 2018-01-06 02:08:47 UTC
Created attachment 513492 [details]
build.log

[...]
                        * The following required packages can not be built:
                        * gtk3agg
 * ERROR: dev-python/matplotlib-2.1.0-r1::gentoo failed (compile phase):
 *   (no error message)



Portage 2.3.13 (python 3.5.4-final-0, default/linux/x86/17.0, gcc-6.4.0, glibc-2.25-r9, 4.14.8-gentoo-r1 i686)
=================================================================
System uname: Linux-4.14.8-gentoo-r1-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3107824 total,    945788 free
KiB Swap:     488276 total,    488276 free
Timestamp of repository gentoo: Fri, 05 Jan 2018 21:16:19 +0000
Head commit of repository gentoo: c05576e9daba4205d5747ff952eb287f39a4c986

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="x86"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode internal-glib python_targets_python3_5 python_targets_python2_7"
CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df load rrdtool syslog threshold"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS=" --quiet-build=n --verbose --color=n --with-bdeps=y --misspell-suggestions=n --jobs 4 --load-average 7.95"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; eval \"declare -a ssh_opts=(\${3})\" ; exec sftp \${port:+-P \${port}} \"\${ssh_opts[@]}\" \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GENTOO_MIRRORS=" https://mirror.deutschmann.io/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.halifax.rwth-aachen.de/gentoo/ http://mirror.deutschmann.io/gentoo/ http://ftp.uni-kl.de/pub/linux/gentoo/ http://distfiles.gentoo.org"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx"
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HISTFILESIZE="10000"
HISTSIZE="10000"
HISTTIMEFORMAT="[[36m%F %T[m]: "
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LADSPA_PATH="/usr/lib/ladspa"
LANG="en_US.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LESS="-R -M --shift 5"
LESSCOLOR="yes"
LESSCOLORIZER="pygmentize"
LESSOPEN="|lesspipe %s"
LIBDIR_x86="lib"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="en de"
LOGNAME="root"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.cfg=00;32:*.conf=00;32:*.diff=00;32:*.doc=00;32:*.ini=00;32:*.log=00;32:*.patch=00;32:*.pdf=00;32:*.ps=00;32:*.tex=00;32:*.txt=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/man:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/man:/usr/lib/llvm/4/share/man:/usr/lib/php7.1/man/:/usr/local/share/man:/usr/share/man"
MULTILIB_ABIS="x86"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fancyindex fastcgi gzip gzip_static limit_conn limit_req map referer rewrite sub syslog proxy"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 arm64-linux hppa ia64 m68k m68k-mint mips nios2 ppc ppc-aix ppc-macos ppc64 ppc64-linux riscv s390 sh sparc sparc-fbsd sparc-solaris sparc64-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
PORTAGE_BIN_PATH="/usr/lib/portage/python3.5"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="warn error info log qa"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_INTERNAL_CALLER="1"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib/python3.5/site-packages"
PORTAGE_PYTHONPATH="/usr/lib/python3.5/site-packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTAGE_XATTR_EXCLUDE="btrfs.* security.evm security.ima 	security.selinux system.nfs4_acl"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
POSTGRES_TARGETS="postgres9_5"
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"
QT_GRAPHICSSYSTEM="raster"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/4/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby22"
SHELL="/bin/bash"
SHLVL="2"
SSH_AUTH_SOCK="/tmp/ssh-YD9VVGeV3c/agent.5236"
SSH_CLIENT="fd00::bcf3:92b5:3554:9d52 58189 22"
SSH_CONNECTION="fd00::bcf3:92b5:3554:9d52 58189 fd00::996f:367b:27c7:f781 22"
SSH_TTY="/dev/pts/0"
TERM="screen"
TMUX="/tmp/tmux-0/default,5247,0"
TMUX_PANE="%2"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
UNINSTALL_IGNORE="/lib/modules/* /var/run /var/lock"
USE="acl berkdb bzip2 cli crypt cxx dri fortran gdbm gnutls iconv idn ipv6 modules ncurses nls nptl openmp pam pcre readline seccomp session ssl tcpd test threads unicode x86 xattr zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df load rrdtool syslog threshold" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 pc" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en en-US de de-DE" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fancyindex fastcgi gzip gzip_static limit_conn limit_req map referer rewrite sub syslog proxy" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="vmware" XTABLES_ADDONS="geoip"
USER="root"
USERLAND="GNU"
USE_EXPAND="ABI_MIPS ABI_PPC ABI_S390 ABI_X86 ALSA_CARDS APACHE2_MODULES APACHE2_MPMS CALLIGRA_EXPERIMENTAL_FEATURES CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CPU_FLAGS_ARM CPU_FLAGS_X86 CROSSCOMPILE_OPTS CURL_SSL ELIBC ENLIGHTENMENT_MODULES FFTOOLS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL L10N LCD_DEVICES LIBREOFFICE_EXTENSIONS LIRC_DEVICES LLVM_TARGETS MONKEYD_PLUGINS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL NGINX_MODULES_STREAM OFED_DRIVERS OFFICE_IMPLEMENTATION OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS POSTGRES_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS ROS_MESSAGES RUBY_TARGETS SANE_BACKENDS USERLAND UWSGI_PLUGINS VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="ABI_MIPS ABI_PPC ABI_S390 ABI_X86 CPU_FLAGS_ARM CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 hppa ia64 m68k m68k-mint mips nios2 ppc ppc64 ppc64-linux ppc-aix ppc-macos riscv s390 sh sparc sparc64-solaris sparc-fbsd sparc-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX bionic Cygwin Darwin DragonFly FreeBSD glibc HPUX Interix mingw mintlib musl NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Darwin FreeBSD freemint HPUX linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VIDEO_CARDS="vmware"
XTABLES_ADDONS="geoip"
Comment 1 Andreas Sturmlechner gentoo-dev 2018-01-07 00:50:53 UTC
MAKEOPTS=-j1, maybe?
Comment 2 Mike Gilbert gentoo-dev 2018-01-07 01:17:26 UTC
From the log:

gtk3agg: no  [Check timed out]

From setupext.py, the default timeout is 10 seconds. I wonder if this was a fluke.
Comment 3 Mike Gilbert gentoo-dev 2018-01-07 01:18:24 UTC
Let's unblock the stable request and see if any other arch testers hit this.
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-01-07 01:55:24 UTC
Passes with -j1.
Comment 5 Mike Gilbert gentoo-dev 2018-01-07 02:06:13 UTC
The build process doesn't call emake at all; it's always single-threaded. This was probably a one-off failure.
Comment 6 Honza Macháček 2018-03-06 11:03:38 UTC
dev-python/matplotlib depends on x11-libs/agg but does not state that. It builds for those who have x11-libs/agg installed but does not pull the library in for those who have not installed it before.

To reproduce the build failure, make sure x11-libs/agg is not installed, and try emerging dev-python/matplotlib.

Moreover, at least at first glance, the dependency seems to be conditional upstream but is set unconditionally in the ebuild.

The ebuild definitely should declare x11-libs/agg as its dependency. In addition it could possibly be enhanced by making the dependency optional (I have not tested if configuring the package without agg and compiling it so is actually posible).
Comment 7 François Bissey 2018-03-07 01:59:01 UTC
I have issues with the statement that matplotlib depends on x11-libs/agg unconditionally. For starter I have matplotlib installed and x11-libs/agg appear to never have been on this system.

For ages matplotlib has built its own version of agg which is forked from x11-libs/agg. 

Considering the issue, I would be happy to consider that x11-libs/agg may need to be a conditional dependency when gtk3 is in USE. Which is not the case on my system.
Comment 8 Honza Macháček 2018-03-07 10:45:22 UTC
(In reply to François Bissey from comment #7)
> I have issues with the statement that matplotlib depends on x11-libs/agg
> unconditionally. For starter I have matplotlib installed and x11-libs/agg
> appear to never have been on this system.

Reminds me of good scientific practice: never jump to conclusions.

So what I really observed:

1) During a system upgrade, dev-python/matplotlib-2.1.2-r1 failed to build on my computer complaining about gtk3agg.

2) There is a package called x11-libs/agg, not installed on my system at that time.

3) The ebuild for dev-python/matplotlib does not declare x11-libs/agg as its dependency.

4) The ebuild for dev-python/matplotlib sets several configuration parameters unconditionally to use agg.

5) There is a patch ${P}-unbundle-agg.patch (but as I see now, its application is commented out). I did not pay much attention to this (not even noticing the patch is not actually applied), just registering the name of the patch passing by, and remembering reassuringly that preventing the installation of bundled libraries in favour of the use of systemwide installed ones is standard Gentoo practice.

Interestingly I had dev-python/matplotlib installed before; unfortunately, again against good scientific practice, I did not note the version number of the previous installation. Neither did I investigate what exactly could have changed between versions. Having found there was not installed x11-libs/agg on my system, I looked a bit in the matplotlib ebuild why it might have omitted to request installation of its dependency, tried installing x11-libs/agg, upgraded matplotlib successfully then, and went to bugzilla to report the problem and request the dependency declaration in the matplotlib ebuild.

Realising the ebuild does not actually prevent the installation of the bundled agg library explains a lot. This leads me to a speculation that there is probably something in the 2.1.2-r1 version that the bundled agg fails to do for gtk3, while the system x11-libs/agg does it well.

Is it, perhaps, time to really unbundle agg from matplotlib?
Comment 9 François Bissey 2018-03-07 10:55:31 UTC
(In reply to Honza Macháček from comment #8)
> (In reply to François Bissey from comment #7)
> > I have issues with the statement that matplotlib depends on x11-libs/agg
> > unconditionally. For starter I have matplotlib installed and x11-libs/agg
> > appear to never have been on this system.
> 
> Reminds me of good scientific practice: never jump to conclusions.
> 

You are welcome.

> So what I really observed:
> 
> 1) During a system upgrade, dev-python/matplotlib-2.1.2-r1 failed to build
> on my computer complaining about gtk3agg.
> 
> 2) There is a package called x11-libs/agg, not installed on my system at
> that time.
> 
> 3) The ebuild for dev-python/matplotlib does not declare x11-libs/agg as its
> dependency.
> 
> 4) The ebuild for dev-python/matplotlib sets several configuration
> parameters unconditionally to use agg.
> 
> 5) There is a patch ${P}-unbundle-agg.patch (but as I see now, its
> application is commented out). I did not pay much attention to this (not
> even noticing the patch is not actually applied), just registering the name
> of the patch passing by, and remembering reassuringly that preventing the
> installation of bundled libraries in favour of the use of systemwide
> installed ones is standard Gentoo practice.
> 
> Interestingly I had dev-python/matplotlib installed before; unfortunately,
> again against good scientific practice, I did not note the version number of
> the previous installation. Neither did I investigate what exactly could have
> changed between versions. 

You should install genlop, it can help a bit by parsing emerge's log file. It does not, however, help with figuring out your change of useflags and such. But thinking about that and your mention of scientific method, it could be interesting to track /etc/portage with git (or your VCS of choice).

>Having found there was not installed x11-libs/agg
> on my system, I looked a bit in the matplotlib ebuild why it might have
> omitted to request installation of its dependency, tried installing
> x11-libs/agg, upgraded matplotlib successfully then, and went to bugzilla to
> report the problem and request the dependency declaration in the matplotlib
> ebuild.
> 
> Realising the ebuild does not actually prevent the installation of the
> bundled agg library explains a lot. This leads me to a speculation that
> there is probably something in the 2.1.2-r1 version that the bundled agg
> fails to do for gtk3, while the system x11-libs/agg does it well.
> 
> Is it, perhaps, time to really unbundle agg from matplotlib?

That's one of the cases where unbundling is not helpful because the copy used in the software is not just a copy of upstream but a fork. A fork with changes that may be incompatible with other dependencies of the package or otherwise make it unusable.
Comment 10 Thomas Deutschmann gentoo-dev Security 2018-07-28 10:03:55 UTC
This is not really fixed. Today I run into this problem again while installing this package as dep for another package. On second retry it failed again. However, third attempt passed.

I don't know what's going on, if this depends on system load, but the build system has definitely a problem.
Comment 11 Jeroen Roovers gentoo-dev 2019-05-03 11:46:51 UTC
*** Bug 684970 has been marked as a duplicate of this bug. ***
Comment 12 Ulenrich 2019-05-03 18:24:31 UTC
Due to my investigation in bug
https://bugs.gentoo.org/684970
it is just a missing
depend x11-libs/agg

This bug not everytime happens, because when 
emerge is done with activated matplot USE wxwidgets
then x11-libs/agg gets pulled indirectly